Bug 1347683 - AttributeError: 'NoneType' object has no attribute 'name'
Summary: AttributeError: 'NoneType' object has no attribute 'name'
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 23
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:873b17bb36048cf6c70e7c3f7e8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 12:01 UTC by Frantisek Hanzlik
Modified: 2016-12-20 21:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:01:18 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (401.97 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: anaconda.log (12.00 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: dnf.log (3.82 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: environ (459 bytes, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: ks.cfg (16.29 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: lsblk_output (1.97 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: nmcli_dev_list (1.58 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: os_info (451 bytes, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: storage.log (92.88 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: syslog (111.86 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: ifcfg.log (1.93 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: packaging.log (2.24 KB, text/plain)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details
File: program.log (52.56 KB, application/octet-stream)
2016-06-17 12:01 UTC, Frantisek Hanzlik
no flags Details

Description Frantisek Hanzlik 2016-06-17 12:01:20 UTC
Description of problem:
installing/booting from fc23 i386 server netinst CD, using kickstart on http://, and all repos on nfs:// in LAN.
installation was done on single SATA disk with GPT partitions, where was previously installed fc23-x86_64 - i want install also i386 system to another partition.
After anaconda gui appears, installer crashed on unknown error.

Version-Release number of selected component:
anaconda-23.19.10-1

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/pyanaconda/ui/gui/spokes/source.py", line 1278, in _reset_repoStore
    ks_repo = self.data.RepoData(name=repo.name,
  File "/usr/lib/python3.4/site-packages/pyanaconda/ui/gui/spokes/source.py", line 769, in _initialize
    self._reset_repoStore()
  File "/usr/lib/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'NoneType' object has no attribute 'name'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23-i386 inst.ks=http://192.168.1.254/ks/23/fj.cfg
dnf.rpm.log:    čen 17 09:00:47 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23

Comment 1 Frantisek Hanzlik 2016-06-17 12:01:27 UTC
Created attachment 1169059 [details]
File: anaconda-tb

Comment 2 Frantisek Hanzlik 2016-06-17 12:01:29 UTC
Created attachment 1169060 [details]
File: anaconda.log

Comment 3 Frantisek Hanzlik 2016-06-17 12:01:30 UTC
Created attachment 1169061 [details]
File: dnf.log

Comment 4 Frantisek Hanzlik 2016-06-17 12:01:32 UTC
Created attachment 1169062 [details]
File: environ

Comment 5 Frantisek Hanzlik 2016-06-17 12:01:34 UTC
Created attachment 1169063 [details]
File: ks.cfg

Comment 6 Frantisek Hanzlik 2016-06-17 12:01:35 UTC
Created attachment 1169064 [details]
File: lsblk_output

Comment 7 Frantisek Hanzlik 2016-06-17 12:01:36 UTC
Created attachment 1169065 [details]
File: nmcli_dev_list

Comment 8 Frantisek Hanzlik 2016-06-17 12:01:38 UTC
Created attachment 1169066 [details]
File: os_info

Comment 9 Frantisek Hanzlik 2016-06-17 12:01:40 UTC
Created attachment 1169067 [details]
File: storage.log

Comment 10 Frantisek Hanzlik 2016-06-17 12:01:42 UTC
Created attachment 1169068 [details]
File: syslog

Comment 11 Frantisek Hanzlik 2016-06-17 12:01:44 UTC
Created attachment 1169069 [details]
File: ifcfg.log

Comment 12 Frantisek Hanzlik 2016-06-17 12:01:45 UTC
Created attachment 1169070 [details]
File: packaging.log

Comment 13 Frantisek Hanzlik 2016-06-17 12:01:47 UTC
Created attachment 1169071 [details]
File: program.log

Comment 14 Fedora End Of Life 2016-11-25 09:19:21 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 21:01:18 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.